<?php
/**
 *  Example application.
 *  A rather dull one.
 *
 *  - under its "API" all plugins register themselves with $app_plugins[]
 *  - plugins are just functions (that could be classes/objects instead)
 *  - settings reside in $app_settings[]
 *
 */



#-- load plugins and settings
include_once("config.php");

?>
<html>
<head>
  <title>Example Application</title>
  <style type="text/css">
    body, html {
       margin: 0;
       padding: 0;
       background: #555;
       font: 12px "Verdana","Arial",sans-serif;
    }
    #container {
       margin: auto;
       width: 75%;
       background: #444;
       border-left: 1px solid #333;
       border-right: 1px solid #333;
    }
    #header {
       height: 50px;
       background: #114;
       padding: 20px;
       color: #fff;
       border-top: 3px solid #001;
       border-bottom: 6px solid #112;
    }
    h1 {
       font-size: 40px;
    }
    #sidebar {
       width: 20%;
       height: 800px;
       float: left;
       padding: 5px;
       border-right: 1px solid #333;
    }
    #content {
       float:right;
       width: 75%;
       padding: 15px;
       height: 800px;
    }
    .plugin {
       margin: 3px;
       background: #464748;
       padding: 5px;
    }
    .plugin.sidebar h3 {
       background: #404142;
    }
    .plugin.sidebar {
       background: #776644;
    }
    .plugin.content {
       background: #446644 url(img/plugin.png) no-repeat 10px 10px;
       padding: 5px 10px 10px 30px;
       margin-bottom: 10px;
       border: 2px dashed #224422;
    }
    a {
       color: blue;
    }
  </style>
</head>
<body>
<div id="container">

<div id="header">
  <h1><?php echo $app_settings["title"]; ?></h1>
</div>



<div id="sidebar">
<?php

#-- call plugin functions & just output everything
foreach ((array)$app_plugins["sidebar"] as $pname) {
   echo $pname();
}

?>
</div>



<div id="content">
<?php

#-- call plugin functions & just output everything
foreach ((array)$app_plugins["content"] as $pname) {
   echo $pname();
}

?>
</div>



</div>
</body>
</html>